Bug 15953 - ToothGrowth {datasets} description improvement
Summary: ToothGrowth {datasets} description improvement
Status: CLOSED FIXED
Alias: None
Product: R
Classification: Unclassified
Component: Documentation (show other bugs)
Version: R 3.1.1
Hardware: Other Other
: P5 minor
Assignee: R-core
URL:
Depends on:
Blocks:
 
Reported: 2014-08-28 15:16 UTC by bzive
Modified: 2015-08-11 09:49 UTC (History)
3 users (show)

See Also:


Attachments
not teeth but odontoblast (215 bytes, text/plain)
2015-04-13 11:44 UTC, jrkuehner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bzive 2014-08-28 15:16:02 UTC
The description for the ToothGrowth dataset in {datasets} is not clearly written and has been misconstrued by users based on my experience in a MOOC offering on Coursera.  

The description cites "the length of odontoblasts (teeth) in each of 10 guinea pigs at each of three dose levels of Victamin C…with each of two delivery methods."  Some users take this to mean 10 guinea pigs receiving all treatments (thus a paired sample study), and others take this to mean 60 guinea pigs receving one of the treatments (thus an independent samples study).

The data source C. I. Bliss (1952) "The Statistics of Biosassay" actually cites the original study by Crampton, E.W. "The growth of the odontoblasts of the incisor tooth as a criterion of the vitamin C intake of the guinea pig.", published in The Journal of Nutrition, vol. 33, issue 5, May 1947, pp. 491-504.  The Crampton paper makes it clear that these data are 60 distinct guinea pigs, as odontoblasts measurements were taken under microscope for each guinea pig after the guinea pigs were sacrificed and has their teeth removed.  

Perhaps the ToothGrowth desscription could be modified to read "The response is the length of odontoblasts (teeth) in each of 60 guinea pigs, 10 for each combination of dose level of Vitamin C (0.5, 1, and 2 mg) and delivery method (orange juice or ascorbic acid)".
Comment 1 jrkuehner 2015-04-13 11:44:18 UTC
Created attachment 1790 [details]
not teeth but odontoblast
Comment 2 Edward Kuns 2015-04-17 15:46:37 UTC
I came across this bug in the context of the same MOOD, I imagine.  With some research, I found a lot of information about this dataset, including a copy of the original study from which the data was derived.  You can view this original study, in its entirety, at:

http://jn.nutrition.org/content/33/5/491.full.pdf

This is the original study from which Bliss, in his textbook of 1952, took the data.  (The raw data is not included in the paper.)

I recommend changing the R documentation for this data set to something like this:


Description

The response is the length of odontoblasts (cells responsible for tooth growth) in 60 guinea pigs, each receiving one of three dose levels of Vitamin C (0.5, 1.0, and 2.0 mg) with one of two delivery methods (orange juice or an aqueous solution of ascorbic acid).  No guinea pig received a dose of zero as they would acquire scurvy at that dose.

Usage

ToothGrowth

Format

A data frame with 60 observations on 3 variables.
[,1] 	len 	numeric 	Odontoblast length in microns.
[,2] 	supp 	factor 		Supplement type (VC or OJ).
[,3] 	dose 	numeric 	Dose in milligrams. 

Source

C. I. Bliss (1952) The Statistics of Bioassay. Academic Press.

References

McNeil, D. R. (1977) Interactive Data Analysis. New York: Wiley.

Crampton, E. W. (1947) The Growth of the Odontoblast of the Incisor Teeth as a Criterion of Vitamin C Intake of the Guinea Pig. The Journal of Nutrition 33 (5): 491–504.

Examples

require(graphics)
coplot(len ~ dose | supp, data = ToothGrowth, panel = panel.smooth,
       xlab = "ToothGrowth data: length vs dose, given type of supplement")
Comment 3 bzive 2015-04-17 16:42:21 UTC
Edward, the description you wrote is better than the one I proposed. The key here is to get the fact that there are 60 guinea pigs represented in the dataset.

Yes, that link to the original study is the same study I found in the journal at the MIT libraries.
Comment 4 Enrique Pérez 2015-07-19 11:51:21 UTC
Other issue is that `dose` is not measured in mg but in mg/day.
Comment 5 Brian Ripley 2015-08-11 09:44:38 UTC
Fixed for R 3.2.2.
Comment 6 Brian Ripley 2015-08-11 09:49:01 UTC
Clarification: fixed for 3.2.2 patched -- 3.2.2 is in code freeze.